/*
  parent class for transmission methods
 */
#pragma once

#include <Arduino.h>
#include <opendroneid.h>
#include "cndroneid.h"
#include "did_GB_2025.h"
class Transmitter {
public:
    virtual bool init(void);

protected:
    void generate_random_mac(uint8_t mac[6]);
};
